summaryrefslogtreecommitdiff
path: root/debian/openvswitch-testcontroller.postrm
diff options
context:
space:
mode:
authorFrode Nordahl <frode.nordahl@canonical.com>2022-07-14 17:55:40 +0200
committerIlya Maximets <i.maximets@ovn.org>2022-07-15 13:45:55 +0200
commit9990322610f627118e20c54ad749caeb3e99358a (patch)
tree1c31a606fd5ce9ae7c4c123efe2c541a1189d391 /debian/openvswitch-testcontroller.postrm
parent9f4f2bb7dc1df888878902e8b11fef886af928a2 (diff)
downloadopenvswitch-9990322610f627118e20c54ad749caeb3e99358a.tar.gz
debian: Update packaging source from Debian/Ubuntu.
* Update upstream OVS debian packaging to be on par with package source in Debian/Ubuntu: - Provide a openvswitch-switch-dpdk package that integrates with the dpdk package in the distributions so that end users can opt into a DPDK-enabled Open vSwitch binary. - Provide systemd service files. - Provide openvswitch-source package for reproducible integrated build of for example OVN. - Stop building shared library and subsequently remove libopenvswitch and libopenvswitch-dev binary packages. Co-authored-by: Luca Boccassi <bluca@debian.org> Signed-off-by: Luca Boccassi <bluca@debian.org> Co-authored-by: Christian Ehrhardt <christian.ehrhardt@canonical.com> Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com> Co-authored-by: James Page <james.page@ubuntu.com> Signed-off-by: James Page <james.page@ubuntu.com> Co-authored-by: Corey Bryant <corey.bryant@canonical.com> Signed-off-by: Corey Bryant <corey.bryant@canonical.com> Signed-off-by: Frode Nordahl <frode.nordahl@canonical.com> Signed-off-by: Ilya Maximets <i.maximets@ovn.org>
Diffstat (limited to 'debian/openvswitch-testcontroller.postrm')
-rwxr-xr-xdebian/openvswitch-testcontroller.postrm44
1 files changed, 44 insertions, 0 deletions
diff --git a/debian/openvswitch-testcontroller.postrm b/debian/openvswitch-testcontroller.postrm
new file mode 100755
index 000000000..afca1bbf0
--- /dev/null
+++ b/debian/openvswitch-testcontroller.postrm
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postrm script for openvswitch-testcontroller
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge)
+ if cd /etc/openvswitch-testcontroller; then
+ rm -f cacert.pem cert.pem privkey.pem req.pem
+ rm -f tmp-privkey.pem tmp-cert.pem tmp-req.pem
+ fi
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0